Bug 212911 - %preuninstall script removes parts of package during upgrade
%preuninstall script removes parts of package during upgrade
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: 208810 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-10-29 22:12 EST by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-22 14:17:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2006-10-29 22:12:45 EST
The %preun scriptlet for system-config-display removes all of the package's
.pyc files before it's removed, but it doesn't check that it's the last copy
being removed before doing so, so this happens even if I'm upgrading to a newer
Since we're including the .pyc and .pyo files in the package now, the scriptlet
can probably just be removed.

Version-Release number of selected component (if applicable):
Comment 1 Adam Jackson 2006-10-31 18:06:54 EST
*** Bug 208810 has been marked as a duplicate of this bug. ***
Comment 2 Adam Jackson 2007-03-22 14:17:48 EDT
will be fixed in 1.0.49-1

Note You need to log in before you can comment on or make changes to this bug.